> For the complete documentation index, see [llms.txt](https://developer.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.mediarithmics.io/advanced-usages/platform-monitoring/events-ingestion-monitoring/dimensions-and-metrics.md).

# Dimensions and metrics

## Dimensions

The following dimensions can be requested in reports:

<table><thead><tr><th>Name</th><th>Description</th></tr></thead><tbody><tr><td><pre><code><strong>date_YYYY_MM_DD
</strong></code></pre></td><td>The date the event was processed for a given pipeline step, aggregated by day</td></tr><tr><td><pre><code>date_YYYY_MM_DD_HH
</code></pre></td><td>The date the event was processed for a given pipeline step, aggregated by hour</td></tr><tr><td><pre><code>date_YYYY_MM_DD_HH_MM
</code></pre></td><td>The date the event was processed for a given pipeline step, aggregated by minute</td></tr><tr><td><pre><code>community_id
</code></pre></td><td>The community on which the event is linked</td></tr><tr><td><pre><code>organisation_id
</code></pre></td><td>The organisation on which the event is linked</td></tr><tr><td><pre><code>datamart_id
</code></pre></td><td>The datamart on which the event is linked</td></tr><tr><td><pre><code>event_ts
</code></pre></td><td>The timestamp of the event</td></tr><tr><td><pre><code>event_name
</code></pre></td><td>The name of the event</td></tr><tr><td><pre><code>channel_id
</code></pre></td><td>The ID of the channel of which the event was sent</td></tr><tr><td><pre><code>pipeline_step
</code></pre></td><td>The ingestion step you want to monitor, see <a href="/pages/VnmBHjByqucPofDH1dNb#available-pipeline-steps">the list here</a>.</td></tr></tbody></table>

## Metrics

The following metrics can be displayed in reports:

<table><thead><tr><th>Name</th><th>Description</th></tr></thead><tbody><tr><td><pre><code><strong>event_count
</strong></code></pre></td><td>The number of events that have been processed by mediarithmics, including those in error</td></tr><tr><td><pre><code>error_count
</code></pre></td><td>The number of events that were rejected by mediarithmics </td></tr></tbody></table>

{% hint style="info" %}
Number of events that were correctly processed = event\_count - error\_count
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.mediarithmics.io/advanced-usages/platform-monitoring/events-ingestion-monitoring/dimensions-and-metrics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
